# i3blocks config file changed for EndeavourOS-i3 setup

# source is available here:
# https://raw.githubusercontent.com/endeavouros-team/endeavouros-i3wm-setup/main/.config/i3/i3blocks.conf
# Maintainer: joekamprad [joekamprad@endeavouros.com]
# Former Visual Designer: Florent Valetti [@FLVAL EndeavourOS]
# created for i3wm setup on EndeavourOS
# https://endeavouros.com

# cheatsheet for icon fonts used on the block-bar:
# https://fontawesome.com/v4.7/cheatsheet/

# --> to update this run the following command:
# wget --backups=1 https://raw.githubusercontent.com/endeavouros-team/endeavouros-i3wm-setup/main/.config/i3/i3blocks.conf -P ~/.config/i3/

# Please see man i3blocks for a complete reference!
# The man page is also hosted at http://vivien.github.io/i3blocks


# List of valid properties:
#
# align
# color
# command
# full_text
# instance
# interval
# label
# min_width
# name
# separator
# separator_block_width
# short_text
# signal
# urgent

# Global properties
#
# The top properties below are applied to every block, but can be overridden.
separator=false
markup=pango

#[Weather]
#command=~/.config/i3/scripts/openweather
# or:
#command=~/.config/i3/scripts/openweather-city
#interval=1800
#color=#7275b3

# [terminal]
# full_text= 
# color=#807dfe
# command=i3-msg -q exec xfce4-terminal
#
# [browser]
# full_text= 
# color=#ff7f81
# command=i3-msg -q exec firefox
#
# [files]
# full_text= 
# color=#7f3fbf
# command=i3-msg -q exec thunar ~/

#[mail]
#full_text= 
#color=#dbcb75
#command=i3-msg -q exec thunderbird

# [simple-2]
# full_text=: :
# color=#717171

# Disk usage
#
# The directory defaults to $HOME if the instance is not specified.
# The script may be called with a optional argument to set the alert
# (defaults to 10 for 10%).
[disk]
label=
instance=/
command=~/.config/i3/scripts/disk
interval=30
align=center

# Memory usage
#
# The type defaults to "mem" if the instance is not specified.
# [memory]
# label=
# command=~/.config/i3/scripts/memory
# interval=2

[cpu_usage]
label=
command=~/.config/i3/scripts/cpu_usage
#min_width=CPU: 100.00%
interval=2

[CPU-temperature]
label=
command=~/.config/i3/scripts/temperature
interval=30
T_WARN=70
T_CRIT=90
# SENSOR_CHIP=""
# where SENSOR_CHIP can be find with sensors output
# can be used also for GPU temperature or other temperature sensors lm-sensors detects.

# showing name of connected network (enable for wifi use)
#[net]
#label=
#command=echo "$(LANG=C nmcli d | grep connected  | awk '{print $4}')"
#interval=30

# [bandwidth]
# command=~/.config/i3/scripts/bandwidth2
# interval=persist

# Battery indicator
#[battery]
#command=~/.config/i3/scripts/battery2
# for alternative battery script  change to battery1
# change this to battery-pinebook-pro if you are running on pinebook-pro
#label=
#interval=30

# [simple-2]
# full_text=: :
# color=#717171

# [pavucontrol]
# full_text=
# command=pavucontrol

[volume-pulseaudio]
full_text=
command=~/.config/i3/scripts/volume
instance=Master
interval=1

# display keyboard layout name
# for keyboard layouts switcher
# see i3 config file
# this needs xkblayout-state installed from the AUR:
# https://aur.archlinux.org/packages/xkblayout-state-git
#[keyboard-layout]
#command=~/.config/i3/scripts/keyboard-layout
#interval=2

# [keybindings]
# full_text=
# command=~/.config/i3/scripts/keyhint

# power-profiles-daemon implementation:
# needs package power-profiles-daemon installed and the service running see here:
# https://wiki.archlinux.org/title/CPU_frequency_scaling#power-profiles-daemon

#set power-profile
#[ppd_menu]
#full_text=
#command=~/.config/i3/scripts/power-profiles
#color=#407437

#Show the current power-profile
#[ppd-status]
#command=~/.config/i3/scripts/ppd-status
#interval=5

[time]
#label=
command=date '+%a %d %b %H:%M:%S'
interval=1

# [shutdown_menu]
# full_text=
# command=~/.config/i3/scripts/powermenu

# [simple-2]
# full_text=: :
# color=#717171
